Bug 863386 - [iwl4965] _il_grab_nic_access
[iwl4965] _il_grab_nic_access
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
abrt_hash:c83069cc2faf9bc2d8df31a452a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 06:15 EDT by Dario Castellarin
Modified: 2012-12-15 13:24 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-15 13:24:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dario Castellarin 2012-10-05 06:15:59 EDT
Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        BOOT_IMAGE=/vmlinuz-3.5.5-2.fc17.x86_64 root=UUID=6fcd61e7-3592-48ba-84a1-ce4a47be5b9a ro LANG=it_IT.UTF-8 pci=nomsi rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True rd.luks=0 KEYTABLE=it rhgb quiet
kernel:         3.5.5-2.fc17.x86_64

backtrace:
:WARNING: at drivers/net/wireless/iwlegacy/common.c:117 _il_grab_nic_access+0x92/0xa0 [iwlegacy]()
:Hardware name: N/A                                            
:Timeout waiting for ucode processor access (CSR_GP_CNTRL 0x080033d8)
:Modules linked in: fuse lockd sunrpc rfcomm bnep ir_lirc_codec lirc_dev ir_mce_kbd_decoder ir_sanyo_decoder ir_sony_decoder uvcvideo btusb bluetooth videobuf2_vmalloc videobuf2_memops videobuf2_core snd_hda_codec_si3054 ir_jvc_decoder videodev snd_hda_codec_realtek ir_rc6_decoder media coretemp arc4 iwl4965 snd_hda_intel snd_hda_codec iwlegacy kvm_intel snd_hwdep kvm snd_seq snd_seq_device snd_pcm ir_rc5_decoder mac80211 cfg80211 snd_page_alloc snd_timer snd ir_nec_decoder compal_laptop i2c_i801 r592 lpc_ich memstick soundcore rfkill mfd_core rc_rc6_mce microcode ene_ir rc_core tg3 uinput firewire_ohci sdhci_pci sdhci firewire_core mmc_core crc_itu_t nouveau mxm_wmi wmi video i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: scsi_wait_scan]
:Pid: 1641, comm: kworker/u:0 Not tainted 3.5.5-2.fc17.x86_64 #1
:Call Trace:
: [<ffffffff8105864f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff81058746>] warn_slowpath_fmt+0x46/0x50
: [<ffffffffa03bbb52>] _il_grab_nic_access+0x92/0xa0 [iwlegacy]
: [<ffffffffa03bef95>] il_rx_queue_update_write_ptr+0x145/0x190 [iwlegacy]
: [<ffffffffa041eea5>] il4965_rx_queue_restock+0x105/0x140 [iwl4965]
: [<ffffffffa041ef20>] il4965_rx_replenish+0x40/0x60 [iwl4965]
: [<ffffffffa041ef80>] il4965_bg_rx_replenish+0x40/0x60 [iwl4965]
: [<ffffffff81075f99>] process_one_work+0x129/0x400
: [<ffffffffa041ef40>] ? il4965_rx_replenish+0x60/0x60 [iwl4965]
: [<ffffffff810765c6>] worker_thread+0x126/0x2e0
: [<ffffffff810764a0>] ? rescuer_thread+0x1f0/0x1f0
: [<ffffffff8107b183>] kthread+0x93/0xa0
: [<ffffffff816162a4>] kernel_thread_helper+0x4/0x10
: [<ffffffff8107b0f0>] ? kthread_freezable_should_stop+0x70/0x70
: [<ffffffff816162a0>] ? gs_change+0x13/0x13
Comment 1 Stanislaw Gruszka 2012-10-05 07:58:16 EDT
Is this problem reproducible? Or happened once at random?
Comment 2 Dario Castellarin 2012-10-05 08:41:20 EDT
It happens from time to time but I cannot reproduce it reliably, usually abrt was reporting it as bug #859196, this is the first time it created a new report.
Comment 3 Stanislaw Gruszka 2012-10-08 05:37:45 EDT
Heh, abrt went crazy, bug 859196 have nothing in common with this issue.

Is this regression? I.e. this problem did not happen on older kernels, if so, on which kernel version it started?
Comment 4 Stanislaw Gruszka 2012-10-25 09:45:11 EDT
Does the problem still happen with latest kernel update 3.6.3:
http://koji.fedoraproject.org/koji/buildinfo?buildID=361634
Comment 5 Miguel Angel Perez 2012-11-01 12:10:53 EDT
I'm also seeing this in dmesg (abrt got me here).

I've done a fresh install of fedora 17 today and I've been getting this all the day. Wifi is slow and sluggish and dmesg is full of this and hardware errors and resets.

Before installing fedora 17 I was using fedora 14 and wifi worked without issues. Seems a big regresion in iwl4965 driver.

I'm using kernel 3.6.3-1.fc17.i686 (updated today after install).
Comment 6 Stanislaw Gruszka 2012-11-02 06:28:26 EDT
Please do the fallowing:

Add this line in /etc/rsyslog.conf: 
kern.*                                                  /var/log/kernel

Restart rsyslog services:
# systemctl restart rsyslog.service

Restart iwl4965 module with verbose debug enabled:
# modprobe -r iwl4965
# modprobe iwl4965 debug=0x47833fff

Reproduce the problem, wait until first WARNING will show up in the /var/log/kernel file).

Unload module: 
# modprobe -r iwl4965

Then attach /var/log/kernel file here (compressed if needed, if still too big, post it to my email address or provide somewhere to download).
Comment 7 Miguel Angel Perez 2012-11-04 06:09:31 EST
At the end seems that the real problem was that my system was getting stuck when I was not moving the mouse or typing in the keyboard and that was getting the wifi driver crazy causing a lot of timeouts. 

Setting nohz=off in the kernel seems to have fixed everything as I can't reproduce the problems anymore :)
Comment 8 Stanislaw Gruszka 2012-12-06 04:54:31 EST
Can you reproduce problem without nohz=off ? Perhaps we should increase time-out on grap_nic_access function then, but most likely problem lies on some other kernel component than the iwlegacy driver.

Note You need to log in before you can comment on or make changes to this bug.